# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(CPAN.pm) perl(Config.pm) perl(ExtUtils/MakeMaker.pm) perl(Term/ReadKey.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
Name:       perl-RT-Client-REST 
Version:    0.43 
Release:    alt1_5
# lib/RT/Client/REST.pm -> GPLv2
# see also /usr/bin/rt from the rt3 package
License:    GPLv2
Group:      Development/Perl
Summary:    Talk to RT using REST protocol 
Url:        http://search.cpan.org/dist/RT-Client-REST
Source:     http://search.cpan.org/CPAN/authors/id/J/JL/JLMARTIN/RT-Client-REST-%{version}.tar.gz
BuildArch:  noarch
BuildRequires:  perl(inc/Module/Install.pm)
# Run-time
BuildRequires:  perl(base.pm)
BuildRequires:  perl(Error.pm)
BuildRequires:  perl(Exception/Class.pm)
BuildRequires:  perl(Exporter.pm)
BuildRequires:  perl(HTTP/Cookies.pm)
BuildRequires:  perl(HTTP/Request/Common.pm)
#BuildRequires: perl(LWP::Simple)
BuildRequires:  perl(LWP/UserAgent.pm)
BuildRequires:  perl(Params/Validate.pm)
# Tests
BuildRequires:  perl(constant.pm)
BuildRequires:  perl(IO/Socket.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(Test/Exception.pm)
# Optional tests
BuildRequires:  perl(Test/Kwalitee.pm)
BuildRequires:  perl(Test/Pod.pm)
BuildRequires:  perl(Test/Pod/Coverage.pm)
Source44: import.info

%description
RT::Client::REST is /usr/bin/rt converted to a Perl module. I needed
to implement some RT interactions from my application, but did not feel
that invoking a shell command is appropriate. Thus, I took rt tool,
written by Abhijit Menon-Sen, and converted it to an object-oriented
Perl module.

%prep
%setup -q -n RT-Client-REST-%{version}
for F in CHANGES; do
    iconv -f iso8859-1 -t utf-8 < "$F" > "${F}.new"
    touch -r "$F" "${F}.new"
    mv "${F}.new" "$F"
done 
# Remove bundled Module::Install
rm -r inc

%build
%{__perl} Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null ';'
# %{_fixperms} %{buildroot}/*

%check
make test

%files
%doc examples CHANGES README TODO
%{perl_vendor_privlib}/*

%changelog
* Thu Mar 14 2013 Igor Vlasenko <viy@altlinux.ru> 0.43-alt1_5
- update to new release by fcimport

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 0.43-alt1_4
- update to new release by fcimport

* Mon May 28 2012 Igor Vlasenko <viy@altlinux.ru> 0.43-alt1_2
- fc import

